## GtkAccelLabel GtkAccelLabel |

## Functions

GtkWidget * | gtk_accel_label_new ()
void | gtk_accel_label_set_accel_closure ()
GtkWidget * | gtk_accel_label_get_accel_widget ()
void | gtk_accel_label_set_accel_widget ()
guint | gtk_accel_label_get_accel_width ()
gboolean | gtk_accel_label_refetch ()

## Properties

GClosure * | accel-closure | Read / Write
GtkWidget * | accel-widget | Read / Write

## Types and Values

struct | GtkAccelLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkLabel
                            ╰── GtkAccelLabel

## Implemented Interfaces

GtkAccelLabel implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_accel_label_new ()

    GtkWidget *
    gtk_accel_label_new (const gchar *string);

### gtk_accel_label_set_accel_closure ()

    void
    gtk_accel_label_set_accel_closure (GtkAccelLabel *accel_label,
                                       GClosure *accel_closure);

### gtk_accel_label_get_accel_widget ()

    GtkWidget *
    gtk_accel_label_get_accel_widget (GtkAccelLabel *accel_label);

### gtk_accel_label_set_accel_widget ()

    void
    gtk_accel_label_set_accel_widget (GtkAccelLabel *accel_label,
                                      GtkWidget *accel_widget);

### gtk_accel_label_get_accel_width ()

    guint
    gtk_accel_label_get_accel_width (GtkAccelLabel *accel_label);

### gtk_accel_label_refetch ()

    gboolean
    gtk_accel_label_refetch (GtkAccelLabel *accel_label);

## Types and Values

### struct GtkAccelLabel

    struct GtkAccelLabel;

## Property Details

### The `“accel-closure”` property

      “accel-closure”            GClosure *

The closure to be monitored for accelerator changes.

Flags: Read / Write

### The `“accel-widget”` property

      “accel-widget”             GtkWidget *

The widget to be monitored for accelerator changes.

Flags: Read / Write